Bug 1898136

Summary: python-parallel-ssh fails to build from dist-git: a WIP commit causes CMake Errors
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-parallel-sshAssignee: Raphael Groner <projects.rg>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: igor.raits, mhroncok, projects.rg, thrnciar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-03-04 16:32:05 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1830680    
Bug Blocks: 1868278, 1890881    

Description Miro Hrončok 2020-11-16 13:48:26 UTC
python-parallel-ssh fails to build from dist-git:


-- The following REQUIRED packages have been found:

 * ZLIB
 * OpenSSL

-- The following features have been disabled:

 * Logging, Logging of execution with debug trace

-- Configuring done
CMake Error at src/CMakeLists.txt:217 (add_library):
  Cannot find source file:

    openssl.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    sftp_write.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    sftp_write_sliding.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    ssh2_agent.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    ssh2.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    ssh2_exec.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    direct_tcpip.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    sftp_nonblock.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    sftp_write_nonblock.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    scp_write.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    scp_nonblock.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    sftpdir_nonblock.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    scp.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    scp_write_nonblock.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    sftpdir.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    sftp_append.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    sftp_RW_nonblock.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    sftp.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    ssh2_echo.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    subsystem_netconf.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    tcpip-forward.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    sftp_mkdir.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at example/CMakeLists.txt:68 (add_executable):
  Cannot find source file:

    sftp_mkdir_nonblock.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_public_key_auth_succeeds_with_correct_ed25519_key_from_mem.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_public_key_auth_succeeds_with_correct_encrypted_ed25519_key.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_public_key_auth_succeeds_with_correct_ed25519_key.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_public_key_auth_succeeds_with_correct_rsa_openssh_key.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_public_key_auth_succeeds_with_correct_dsa_key.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:142 (add_library):
  Cannot find source file:

    openssh_fixture.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_public_key_auth_fails_with_wrong_key.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_public_key_auth_succeeds_with_correct_encrypted_rsa_key.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:146 (add_library):
  Cannot find source file:

    session_fixture.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:150 (add_library):
  Cannot find source file:

    runner.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_hostkey.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_keyboard_interactive_auth_succeeds_with_correct_response.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_password_auth_succeeds_with_correct_credentials.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_hostkey_hash.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_password_auth_fails_with_wrong_password.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_password_auth_fails_with_wrong_username.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_public_key_auth_succeeds_with_correct_rsa_key.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  Cannot find source file:

    test_keyboard_interactive_auth_fails_with_wrong_response.c

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at src/CMakeLists.txt:217 (add_library):
  No SOURCES given to target: libssh2


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-sftp_write


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-sftp_write_sliding


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-ssh2_agent


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-ssh2


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-ssh2_exec


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-direct_tcpip


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-sftp_nonblock


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-sftp_write_nonblock


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-scp_write


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-scp_nonblock


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-sftpdir_nonblock


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-scp


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-scp_write_nonblock


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-sftpdir


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-sftp_append


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-sftp_RW_nonblock


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-sftp


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-ssh2_echo


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-subsystem_netconf


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-tcpip-forward


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-sftp_mkdir


CMake Error at example/CMakeLists.txt:68 (add_executable):
  No SOURCES given to target: example-sftp_mkdir_nonblock


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target:
  test_public_key_auth_succeeds_with_correct_ed25519_key_from_mem


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target:
  test_public_key_auth_succeeds_with_correct_encrypted_ed25519_key


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target:
  test_public_key_auth_succeeds_with_correct_ed25519_key


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target:
  test_public_key_auth_succeeds_with_correct_rsa_openssh_key


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target:
  test_public_key_auth_succeeds_with_correct_dsa_key


CMake Error at tests/CMakeLists.txt:142 (add_library):
  No SOURCES given to target: openssh_fixture


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target: test_public_key_auth_fails_with_wrong_key


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target:
  test_public_key_auth_succeeds_with_correct_encrypted_rsa_key


CMake Error at tests/CMakeLists.txt:146 (add_library):
  No SOURCES given to target: session_fixture


CMake Error at tests/CMakeLists.txt:150 (add_library):
  No SOURCES given to target: runner


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target: test_hostkey


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target:
  test_keyboard_interactive_auth_succeeds_with_correct_response


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target:
  test_password_auth_succeeds_with_correct_credentials


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target: test_hostkey_hash


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target: test_password_auth_fails_with_wrong_password


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target: test_password_auth_fails_with_wrong_username


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target:
  test_public_key_auth_succeeds_with_correct_rsa_key


CMake Error at tests/CMakeLists.txt:155 (add_executable):
  No SOURCES given to target:
  test_keyboard_interactive_auth_fails_with_wrong_response


CMake Generate step failed.  Build files cannot be regenerated correctly.


----------------------



There seem to be a WIP commit in dist-git that broke the build.


This blocks the testing builds with Python 3.10.


For the build logs with Python 3.10, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01758354-python-parallel-ssh/

For all our attempts to build python-parallel-ssh with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-parallel-ssh/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Raphael Groner 2020-11-18 17:06:22 UTC
Thanks for another report against this obviously b0rken package.

Unfortunately, to validate a reason for this package kept in the official repository I'm still failing to run some useful tests inside mock with a faked ssh server (for instance with help from paramiko).

Comment 2 Ben Cotton 2021-02-09 15:25:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 3 Raphael Groner 2021-03-04 16:32:05 UTC
WIP commit got reverted in dist-git. No bundling or subpackage needed.